Subject: bug#56344: 28.1; cannot copy-paste string with utf-8 letters (i.e. ²): "Non-ASCII string must be encoded in advance"

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Sat, 02 Jul 2022 10:07:37 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: "Dr. Arne Babenhauserheide" <[email-masked]>
>> Date: Fri, 01 Jul 2022 23:53:02 +0200
>> 
>> I have a file that contains text with unicote:
>> 
>> - 12 ::
>>   - Minerale finden (bis Distanz 10cm x 10 pro 3 Diff)
>>   - Durchgang finden (10m x 10 pro 3 Diff)
>>   - Steinwachstum (1 Liter x 10 pro 3 Diff, keine Edelsteine,
>> sondern Grundgestein)
>>   - Durchschlagend (Schaden von Geschoss oder Waffe + 1 pro 3 Diff
>> für eine Handlung, Berührung)
>> 
>> 
>> If I copy that (M-w) and try to paste it into a text field in the icecat
>> browser (firefox derivative), I get the error message *in Emacs*:
>> 
>> Non-ASCII string must be encoded in advance: "- 12 ::
>>   - Minerale finden (bis Distanz 10cm x 10 pro 3 Diff)
>>   - Durchgang finden (10m x 10 pro 3 Diff)
>>   - Steinwachstum (1 Liter x 10 pro 3 Diff, keine Edelsteine,
>> sondern Grundgestein)
>>   - Durchschlagend (Schaden von Geschoss oder Waffe + 1 pro 3 Diff
>> f\374r eine Handlung, Ber\374hrung)"
>
> Does this happen in "emacs -Q"?

Oh, no, it does not!

So it must be something in my configuration …

Do you have an idea what might cause it?

I’ll try to find out what causes this, but it would be great to have a
pointer where to start.

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de